//定时变量
var timing;
//微信传图记录
var img = [];
//ID标记
var mark = '0';
//房源类型
var tbl = 'sell';

function fileQueueError3(file, errorCode, message) {
	try {

		if (errorCode === SWFUpload.QUEUE_ERROR.QUEUE_LIMIT_EXCEEDED) {
			alert("最多只能上传4张图片！");
			return;
		}
		switch (errorCode) {
		case SWFUpload.QUEUE_ERROR.FILE_EXCEEDS_SIZE_LIMIT:
			alert("文件" + file.name + "字节量超过上传限制.");return;
			
			break;
		case SWFUpload.QUEUE_ERROR.ZERO_BYTE_FILE:
			
			break;
		case SWFUpload.QUEUE_ERROR.INVALID_FILETYPE:
			alert("文件" + file.name + "无效文件格式.");return;
			
			break;
		default:
			
			break;
		}
	} catch (ex) {
        this.debug(ex);
    }
}


function swfUploadLoaded3(){
	if( $("#thumbnails3 img").size() >= this.customSettings.upload_limit ) this.setButtonDisabled(true);
}

function fileDialogStart3(){
	var count = ($("#thumbnails3 img").size())/2;
	var n = this.customSettings.upload_limit - count;
	this.setFileQueueLimit(n);
}

function fileDialogComplete3(numFilesSelected, numFilesQueued) {
	try {
		
		if (numFilesQueued > 0) {
			this.startUpload();
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadProgress3(file, bytesLoaded) {

	try {
		var percent = Math.ceil((bytesLoaded / file.size) * 100);

		var progress = new FileProgress(file,  this.customSettings.upload_target);
		progress.setProgress(percent);
		if (percent === 100) {
			progress.setStatus("Creating thumbnail...");
			progress.toggleCancel(false, this);
		} else {
			progress.setStatus("Uploading...");
			progress.toggleCancel(true, this);
		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadSuccess3(file, serverData) {
	try {
		//2015-12-18 zhou暂时不用
		//var progress = new FileProgress(file,  this.customSettings.upload_target);
		
		//JS转换返回值JSON数据
		//serverData = JSON.parse(serverData);
		//租售宝的上传直接返回的图片链接地址
		//serverData = eval("(" + serverData + ")");
        if(serverData == '1')
        {
            alert('图片的宽不可小于700像素，高不可小于500像素');
            return false;
        }
		addImage3(file,serverData);

	} catch (ex) {
		this.debug(ex);
	}
}

function uploadComplete3(file) {
	try {
		/*  I want the next upload to continue automatically so I'll call startUpload here */
		if (this.getStats().files_queued > 0) {
			this.startUpload();
		} else {
			var progress = new FileProgress(file,  this.customSettings.upload_target);
			progress.setComplete();
			progress.setStatus("图片上传完毕.");
			progress.toggleCancel(false);
			//if( ($("#thumbnails img").size())/2 >= this.customSettings.upload_limit ) this.setButtonDisabled(true);

		}
	} catch (ex) {
		this.debug(ex);
	}
}

function uploadError3(file, errorCode, message) {
	var imageName =  "error.gif";
	var progress;
	try {
		switch (errorCode) {
		case SWFUpload.UPLOAD_ERROR.FILE_CANCELLED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setCancelled();
				progress.setStatus("Cancelled");
				progress.toggleCancel(false);
			}
			catch (ex1) {
				this.debug(ex1);
			}
			break;
		case SWFUpload.UPLOAD_ERROR.UPLOAD_STOPPED:
			try {
				progress = new FileProgress(file,  this.customSettings.upload_target);
				progress.setCancelled();
				progress.setStatus("Stopped");
				progress.toggleCancel(true);
			}
			catch (ex2) {
				this.debug(ex2);
			}
		case SWFUpload.UPLOAD_ERROR.UPLOAD_LIMIT_EXCEEDED:
			imageName = "uploadlimit.gif";
			break;
		default:
			alert(message);
			break;
		}

		addImage3(file,"images/" + imageName);

	} catch (ex3) {
		this.debug(ex3);
	}

}


 function addImage3(file,serverData) {
	var imgarr = $("#thumbnails3").find(".deltextFg3Img");

	//if(serverData.image.indexOf("script") > 0 || imgarr.length >= 3)
    if(serverData.indexOf("script") > 0 || imgarr.length >= 4)
	{
		if(imgarr.length >= 4)
		{
			
			openWin("jsDialog3");
			$("#jsDialog3 .text").text("最多只能上传3张图片！");
			
		}
		return false;
	}
	else
	{
		mark++;
		/*
		var src = serverData.image;
		var image_source = serverData.image_source;
		var width = serverData.width;
		var height = serverData.height;
		*/

        var src = serverData;
        //解决测试环境nginx image_filter模块失效问题 线上勿用
        //src = src.replace('_240x180','');
        var image_source = '';
        var width = '';
        var height = '';

        if(imgarr.length < 1)
        {
            var content='<div id="image_action_'+mark+'" class="li deltextFg3Img deltextFg3ImgIndex0"  flag="'+image_source+'" flag_file_url="'+src+'" flag_id="0" flag_tbl="'+tbl+'" flag_rowid="0" flag_width="'+width+'" flag_height="'+height+'" ><div class="li-img"><img class="img" width="80" height="80" src="' + src + '" alt=""><input type="hidden" class="p_filename" name="hao[]" value="' + src + '" ><div class="evns"><div class="e-l" style="display: none;"></div><div class="e-c" style="display: none;" ></div><div class="e-r" onclick="prevOrNextFun(this)"></div></div><div class="rotate rotate_cut"></div></div><div class="sel"onclick="delImg3(this);"style="display: block"></div></div>';
        }
        else
        {
            var content='<div id="image_action_'+mark+'" class="li deltextFg3Img"  flag="'+image_source+'" flag_file_url="'+src+'" flag_id="0" flag_tbl="'+tbl+'" flag_rowid="0" flag_width="'+width+'" flag_height="'+height+'" ><div class="li-img"><img class="img" width="80" height="80" src="' + src + '" alt=""><input type="hidden" class="p_filename" name="hao[]" value="' + src + '" ><div class="faceIcon"></div><div class="evns"><div class="e-l" onclick="prevOrNextFun(this)"></div><div class="e-c" onclick="prevOrNextFun(this)" onclick="prevOrNextFun(this)"></div><div class="e-r" onclick="prevOrNextFun(this)"></div></div><div class="rotate rotate_cut"></div></div><div class="sel"onclick="delImg3(this);" style="display: block"></div></div>';
        }

        $("#thumbnails3").append(content);
        $("#thumbnails3").parents("li").children("label").css({
            "line-height":"80px",
            "height":"80px"
        });
        $("#thumbnails3").parentsUntil("li").find(".aleft").css("margin-top","52px");
		function getNum(){//计算百分比
			return   parseInt($("#jsNumJdInput1").val())+ parseInt($("#jsNumJdInput2").val()) 
				   + parseInt($("#jsNumJdInput3").val()) + "%" 
		}


         var picNum = $("#thumbnails3 .deltextFg3Img").length;
		 if(picNum<4)
		 {
		 $(".aupload3").show();
		 $(".auploadn3").hide();
		 }else if(picNum>=4)
		 {
		$(".aupload3").hide();
		 $(".auploadn3").show();
		 }
		

	}
}



function fadeIn(element, opacity) {
	var reduceOpacityBy = 5;
	var rate = 30;	// 15 fps


	if (opacity < 100) {
		opacity += reduceOpacityBy;
		if (opacity > 100) {
			opacity = 100;
		}

		if (element.filters) {
			try {
				element.filters.item("DXImageTransform.Microsoft.Alpha").opacity = opacity;
			} catch (e) {
				// If it is not set initially, the browser will throw an error.  This will set it if it is not set yet.
				element.style.filter = 'progid:DXImageTransform.Microsoft.Alpha(opacity=' + opacity + ')';
			}
		} else {
			element.style.opacity = opacity / 100;
		}
	}

	if (opacity < 100) {
		setTimeout(function () {
			fadeIn(element, opacity);
		}, rate);
	}
}



/* ******************************************
 *	FileProgress Object
 *	Control object for displaying file info
 * ****************************************** */

function FileProgress1(file, targetID) {
	this.fileProgressID = "divFileProgress";

	this.fileProgressWrapper = document.getElementById(this.fileProgressID);
	if (!this.fileProgressWrapper) {
		this.fileProgressWrapper = document.createElement("div");
		this.fileProgressWrapper.className = "progressWrapper";
		this.fileProgressWrapper.id = this.fileProgressID;

		this.fileProgressElement = document.createElement("div");
		this.fileProgressElement.className = "progressContainer";

		var progressCancel = document.createElement("a");
		progressCancel.className = "progressCancel";
		progressCancel.href = "#";
		progressCancel.style.visibility = "hidden";
		progressCancel.appendChild(document.createTextNode(" "));

		var progressText = document.createElement("div");
		progressText.className = "progressName";
		progressText.appendChild(document.createTextNode(file.name));

		var progressBar = document.createElement("div");
		progressBar.className = "progressBarInProgress";

		var progressStatus = document.createElement("div");
		progressStatus.className = "progressBarStatus";
		progressStatus.innerHTML = "&nbsp;";

		this.fileProgressElement.appendChild(progressCancel);
		this.fileProgressElement.appendChild(progressText);
		this.fileProgressElement.appendChild(progressStatus);
		this.fileProgressElement.appendChild(progressBar);

		this.fileProgressWrapper.appendChild(this.fileProgressElement);
		
		document.getElementById(targetID).appendChild(this.fileProgressWrapper);
		fadeIn(this.fileProgressWrapper, 0);

	} else {
		this.fileProgressElement = this.fileProgressWrapper.firstChild;
		this.fileProgressElement.childNodes[1].firstChild.nodeValue = file.name;
	}

	this.height = this.fileProgressWrapper.offsetHeight;

}
FileProgress.prototype.setProgress = function (percentage) {
	this.fileProgressElement.className = "progressContainer green";
	this.fileProgressElement.childNodes[3].className = "progressBarInProgress";
	this.fileProgressElement.childNodes[3].style.width = percentage + "%";
};
FileProgress.prototype.setComplete = function () {
	this.fileProgressElement.className = "progressContainer blue";
	this.fileProgressElement.childNodes[3].className = "progressBarComplete";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setError = function () {
	this.fileProgressElement.className = "progressContainer red";
	this.fileProgressElement.childNodes[3].className = "progressBarError";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setCancelled = function () {
	this.fileProgressElement.className = "progressContainer";
	this.fileProgressElement.childNodes[3].className = "progressBarError";
	this.fileProgressElement.childNodes[3].style.width = "";

};
FileProgress.prototype.setStatus = function (status) {
	this.fileProgressElement.childNodes[2].innerHTML = status;
};

FileProgress.prototype.toggleCancel = function (show, swfuploadInstance) {
	this.fileProgressElement.childNodes[0].style.visibility = show ? "visible" : "hidden";
	if (swfuploadInstance) {
		var fileID = this.fileProgressID;
		this.fileProgressElement.childNodes[0].onclick = function () {
			swfuploadInstance.cancelUpload(fileID);
			return false;
		};
	}
};


function delImg3(obj){//删除上传的图片  有修改
		$(obj).parents(".deltextFg3Img").remove();
		var picNum = $("#thumbnails3 .deltextFg3Img").length;
		  if(picNum<4)
		 {
		 $(".aupload3").show();
		 $(".auploadn3").hide();
		 }else if(picNum>=4)
		 {
		$(".aupload3").hide();
		 $(".auploadn3").show();
		 }
    if($("#thumbnails3 .li").length == 0){
        $("#thumbnails3").parents("li").children("label").css({
            "line-height":"28px",
            "height":"28px"
        });
        $("#thumbnails3").parentsUntil("li").find(".aleft").css("margin-top","0");

    }
};

function showdelBtn(obj){
	$(obj).children(".sel").show();
	$(obj).css("border","5px solid #ffb27f");
}

function hidedelBtn(obj){
	$(obj).children(".sel").hide();
	$(obj).css("border","5px solid #f0f0f0");
}